VeraCrypt
aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMounir IDRASSI <mounir.idrassi@idrix.fr>2014-10-26 13:13:52 +0100
committerMounir IDRASSI <mounir.idrassi@idrix.fr>2014-11-08 23:24:41 +0100
commit81b9e2899329eed4ea9e2232bdb3deb107f5e1d2 (patch)
tree357b5dedd9bbbfdc0e48e63cb6b754774b07fae1
parentd7498fae01aa5278b3138dddc158f2080b9e01d6 (diff)
downloadVeraCrypt-81b9e2899329eed4ea9e2232bdb3deb107f5e1d2.tar.gz
VeraCrypt-81b9e2899329eed4ea9e2232bdb3deb107f5e1d2.zip
Linux: Add shell script to perform VeraCrypt full build
-rwxr-xr-xsrc/Build/build_veracrypt_linux.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/src/Build/build_veracrypt_linux.sh b/src/Build/build_veracrypt_linux.sh
new file mode 100755
index 00000000..3e787cd4
--- /dev/null
+++ b/src/Build/build_veracrypt_linux.sh
@@ -0,0 +1,29 @@
+# Absolute path to this script
+SCRIPT=$(readlink -f "$0")
+# Absolute path this script is in
+SCRIPTPATH=$(dirname "$SCRIPT")
+# source directory which contains the Makefile
+SOURCEPATH=$(readlink -f "$SCRIPTPATH/..")
+# directory where the VeraCrypt has been checked out
+PARENTDIR=$(readlink -f "$SCRIPTPATH/../../..")
+
+# Make sure only root can run our script
+if [ "$(id -u)" != "0" ]; then
+ echo "VeraCrypt must be built by root" 1>&2
+ exit 1
+fi
+
+# the sources of wxWidgets 3.0.2 must be extracted to the parent directory
+export WX_ROOT=$PARENTDIR/wxWidgets-3.0.2
+echo "Using wxWidgets sources in $WX_ROOT"
+
+# this will be the temporary wxWidgets directory
+export WX_BUILD_DIR=$PARENTDIR/wxBuild
+
+cd $SOURCEPATH
+
+echo "Building GUI version of VeraCrypt"
+make WXSTATIC=1 wxbuild && make WXSTATIC=1 clean && make WXSTATIC=1
+
+echo "Building console version of VeraCrypt"
+make WXSTATIC=1 NOGUI=1 wxbuild && make WXSTATIC=1 NOGUI=1 clean && make WXSTATIC=1 NOGUI=1